Bug 664677 - rhncfg-client get --topdir creates directories and links outside of topdir
rhncfg-client get --topdir creates directories and links outside of topdir
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
540
All Linux
low Severity low
: ---
: ---
Assigned To: Michael Mráka
Jiri Kastner
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-12-21 04:41 EST by Michael Mráka
Modified: 2011-03-07 04:25 EST (History)
3 users (show)

See Also:
Fixed In Version: rhncfg-5.9.27-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-07 04:25:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2010-12-21 04:41:23 EST
Description of problem:
rhncfg-client get --topdir creates directories and links outside of topdir

Version-Release number of selected component (if applicable):
rhncfg-5.9.37-1

How reproducible:
always

Steps to Reproduce:
1. create a config channel
2. create file, dir and link in the config channel
3. register client to satellite and subscribe it to the config channel
4. run 
     rhncfg-client get --topdir /tmp/topdir 
  on client
  
Actual results:
Deploying /tmp/testdir
Deploying /tmp/testlink
Deploying /tmp/topdir/tmp/testfile


Expected results:
Deploying /tmp/topdir/tmp/testdir
Deploying /tmp/topdir/tmp/testlink
Deploying /tmp/topdir/tmp/testfile


Additional info:
Comment 1 Michael Mráka 2010-12-22 10:15:14 EST
Fixed in spacewalk git by
commit 15fe38653e1d8287731959a5510c4ff7313c6a17
    664677 - fixed directory deployment under --topdir
commit f6db743f85057d42ec06f82fb16fed72795cf423
    664677 - fixed symlink deployment under --topdir

Fixed spacewalk package: rhncfg-5.9.39-1
Comment 3 Michael Mráka 2011-01-06 09:42:14 EST
Fixed in satellite git
commit 9ff25c559e4b082e5b34ca61d0efbcbc09d1c654
    664677 - fixed directory deployment under --topdir
    (cherry picked from commit 15fe38653e1d8287731959a5510c4ff7313c6a17)
commit eba0c37b0367f2bc64ad1a73435d1d8ab16dc2f6
    664677 - fixed symlink deployment under --topdir
    (cherry picked from commit f6db743f85057d42ec06f82fb16fed72795cf423)
Comment 5 Jiri Kastner 2011-01-20 07:21:32 EST
works on rhel4, rhel5 and rhel6
RHEL4:
rhncfg-client get --topdir=/tmp/topdir
Deploying /tmp/topdir/tmp/config.cfg
Deploying /tmp/topdir/tmp/config.cfg.ln
ls -l /tmp/topdir/tmp/
total 12
-rw-r--r-- 1 root root 23 Jan 20 06:16 config.cfg
lrwxrwxrwx 1 root root 10 Jan 20 06:16 config.cfg.ln -> config.cfg
RHEL5:
rhncfg-client get --topdir=/tmp/topdir
Deploying /tmp/topdir/tmp/config.cfg
Deploying /tmp/topdir/tmp/config.cfg.ln
ls -l /tmp/topdir/tmp/
total 12
-rw-r--r-- 1 root root 23 Jan 20 06:17 config.cfg
lrwxrwxrwx 1 root root 10 Jan 20 06:17 config.cfg.ln -> config.cfg
RHEL6:
rhncfg-client get --topdir=/tmp/topdir
Deploying /tmp/topdir/tmp/config.cfg
Deploying /tmp/topdir/tmp/config.cfg.ln
ls -l /tmp/topdir/tmp/
total 12
-rw-r--r-- 1 root root 23 Jan 20 06:20 config.cfg
lrwxrwxrwx 1 root root 10 Jan 20 06:20 config.cfg.ln -> config.cfg
Comment 6 errata-xmlrpc 2011-03-07 04:25:31 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0323.html

Note You need to log in before you can comment on or make changes to this bug.